#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	23.08.4
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kidentitymanagement
Summary:	kidentitymanagement
Name:		ka5-%{kaname}
Version:	23.08.4
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	ec95ed73fe6cf8741421c111d5360382
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= 5.11.1
BuildRequires:	Qt5Network-devel
BuildRequires:	Qt5Test-devel >= 5.9.0
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	ka5-kpimtextedit-devel >= %{kdeappsver}
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kcodecs-devel >= %{kframever}
BuildRequires:	kf5-kcompletion-devel >= %{kframever}
BuildRequires:	kf5-kconfig-devel >= %{kframever}
BuildRequires:	kf5-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf5-kiconthemes-devel >= %{kframever}
BuildRequires:	kf5-kio-devel >= %{kframever}
BuildRequires:	kf5-ktextwidgets-devel >= %{kframever}
BuildRequires:	kf5-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KIdentity Management.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%{_datadir}/dbus-1/interfaces/kf5_org.kde.pim.IdentityManager.xml
%{_datadir}/qlogging-categories5/kidentitymanagement.categories
%{_datadir}/qlogging-categories5/kidentitymanagement.renamecategories
%ghost %{_libdir}/libKPim5IdentityManagement.so.5
%attr(755,root,root) %{_libdir}/libKPim5IdentityManagement.so.*.*.*
%ghost %{_libdir}/libKPim5IdentityManagementWidgets.so.5
%attr(755,root,root) %{_libdir}/libKPim5IdentityManagementWidgets.so.*.*.*

%files devel
%defattr(644,root,root,755)
%{_libdir}/qt5/mkspecs/modules/qt_KIdentityManagement.pri
%{_libdir}/qt5/mkspecs/modules/qt_KIdentityManagementWidgets.pri
%{_includedir}/KPim5/KIdentityManagement
%{_includedir}/KPim5/KIdentityManagementWidgets
%{_libdir}/cmake/KF5IdentityManagement
%{_libdir}/cmake/KPim5IdentityManagement
%{_libdir}/libKPim5IdentityManagement.so
%{_libdir}/libKPim5IdentityManagementWidgets.so
%changelog
* Sat Dec 16 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kidentitymanagement.git;a=log;h=master

* Fri Dec 08 2023 Witold Filipczyk <witekfl@poczta.onet.pl> a3568c5
- updated to 23.08.4

* Fri Nov 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 645e5bf
- updated to 23.08.3

* Fri Oct 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> ace1c0d
- updated to 23.08.2

* Fri Sep 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 3509086
- updated to 23.08.1

* Thu Aug 24 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 0d2d066
- updated to 23.08.0; cmake -B build

* Fri Jul 07 2023 Witold Filipczyk <witekfl@poczta.onet.pl> cf6bba7
- updated to 23.04.3

* Sat Jun 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 89608a2
- updated to 23.04.2

* Fri May 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> b4da47b
- updated to 23.04.1

* Fri Apr 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 19d2cf0
- updated to 23.04.0

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7df2a9a
- rebuild against QT 5.15.9

* Fri Mar 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> f2ee1c2
- updated to 22.12.3

* Fri Feb 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> b6f6b71
- updated to 22.12.2

* Fri Jan 06 2023 Witold Filipczyk <witekfl@poczta.onet.pl> df38e34
- updated to 22.12.1

* Thu Jan 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> fb5450b
- rebuild against QT 5.15.8

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 2396449
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 6789f79
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 83c15d0
- updated to 22.08.2

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b6903be
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 60903f9
- relup

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> c26c27a
- updated to 22.08.1

